Bug 1466000 - [RFE][cinder] Add per-backend availability zones
Summary: [RFE][cinder] Add per-backend availability zones
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M1
: 13.0 (Queens)
Assignee: Gorka Eguileor
QA Contact: Avi Avraham
URL: https://blueprints.launchpad.net/cind...
Whiteboard:
Depends On:
Blocks: 1419948 1452704 1459148 1488390 1510931
TreeView+ depends on / blocked
 
Reported: 2017-06-28 16:44 UTC by Bertrand
Modified: 2020-07-07 17:55 UTC (History)
11 users (show)

Fixed In Version: openstack-cinder-12.0.0-0.20171206135420.61962d2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:31:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 433437 None MERGED Add per-backend availability zones 2020-07-07 17:55:14 UTC
Red Hat Product Errata RHEA-2018:2086 normal SHIPPED_LIVE Red Hat OpenStack Platform 13.0 Enhancement Advisory 2018-06-28 19:51:39 UTC

Description Bertrand 2017-06-28 16:44:15 UTC
Description of problem:


When volume backends were defined in the [DEFAULT] cinder.conf config
section, it did not make sense to have more than one AZ config setting.
Now that we have multibackend and we have deprecated the ability to
configure backends in DEFAULT, we can set AZs per backend section.

This previously required setting up a separate service using a different
cinder.conf to have more than one AZ. But since the vast majority of
backends are separate physical devices, there is no reason to restrict
the control plane service to be on separate nodes to support separate AZ
configurations.

[1] https://blueprints.launchpad.net/cinder/+spec/multibackend-az-support
[2] https://review.openstack.org/#/c/433437/

Comment 6 Avi Avraham 2018-04-03 12:38:42 UTC
Verified with package: 
openstack-cinder-12.0.1-0.20180326201852.46c4ec1.el7ost.noarch
according to Polarion test run:
20180206-1636_2 - [cinder] volume per-backend availability zones RHOS13

Comment 9 errata-xmlrpc 2018-06-27 13:31:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.